Bug 825990 - [abrt] rhythmbox-2.96-3.fc17: _int_free: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.96-3.fc17: _int_free: Process /usr/bin/rhythmbox was kille...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:64aecc66dab0cd1d84abf6728a3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 05:30 EDT by Peter Robinson
Modified: 2013-07-31 16:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:33:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (101.46 KB, text/plain)
2012-05-29 05:30 EDT, Peter Robinson
no flags Details
File: maps (107.32 KB, text/plain)
2012-05-29 05:30 EDT, Peter Robinson
no flags Details
File: dso_list (25.29 KB, text/plain)
2012-05-29 05:30 EDT, Peter Robinson
no flags Details
File: build_ids (8.93 KB, text/plain)
2012-05-29 05:30 EDT, Peter Robinson
no flags Details

  None (edit)
Description Peter Robinson 2012-05-29 05:30:23 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: _int_free
executable:     /usr/bin/rhythmbox
kernel:         3.3.6-3.fc17.x86_64
pid:            7833
pwd:            /home/perobinson
time:           Tue 29 May 2012 10:22:41 BST
uid:            501
username:       perobinson
var_log_messages: May 29 10:22:43 neo abrt[7869]: Saved core dump of pid 7833 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-05-29-10:22:41-7833 (156565504 bytes)

backtrace:      Text file, 103891 bytes
build_ids:      Text file, 9143 bytes
dso_list:       Text file, 25893 bytes
maps:           Text file, 109893 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/perobinson/2

comment:
:Playing AAC radio stream
:
:http://www.abc.net.au/res/streaming/audio/windows/triple_j.asx

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7bcdd malloc_consolidate libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7c708 _int_free libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x6b93d fclose@@GLIBC_2.2.5 libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x101a35 __res_vinit libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x104cbc __nss_hostname_digits_dots libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x10a7b5 gethostbyname2_r@@GLIBC_2.2.5 libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xda002 gaih_inet libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xdcc61 getaddrinfo libc.so.6 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x7c91c - libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x7cb38 - libgio-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6ab42 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6a345 - libglib-2.0.so.0 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:GIT_PS1_SHOWDIRTYSTATE=true
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=neo.roving-it.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=5a3d0f051d91f77357c1162e00000021-1337711124.642210-995832477
:GNOME_KEYRING_CONTROL=/run/user/perobinson/keyring-Qwnjbb
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=perobinson
:USERNAME=perobinson
:MAIL=/var/spool/mail/perobinson
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/perobinson/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/perobinson
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1424
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:'PS1=[\\[\\e[0;32m\\]\\u\\[\\e[0m\\]@\\[\\e[0;35m\\]\\h\\[\\e[0m\\] \\W\\[\\e[0;33m\\]$(__git_ps1 \" (%s)\")\\[\\e[0m\\]]\\[\\e[0;32m\\]\\$ \\[\\e[0m\\]'
:GIT_PS1_SHOWUNTRACKEDFILES=true
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/perobinson
:SHLVL=1
:LOGNAME=perobinson
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-qZXWlgTkqT,guid=fadea2f6059b6ea8976045f600000103
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/perobinson
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-perobinson-sJLvNX/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1428,unix/unix:/tmp/.ICE-unix/1428
:SSH_AUTH_SOCK=/run/user/perobinson/keyring-Qwnjbb/ssh
:GPG_AGENT_INFO=/run/user/perobinson/keyring-Qwnjbb/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=7833
:DESKTOP_STARTUP_ID=gnome-shell-23281-neo.roving-it.com-rhythmbox-12_TIME518923992

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29854                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29854                29854                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/perobinson/.xsession-errors
:pos:	195219
:flags:	0102002
:2:/home/perobinson/.xsession-errors
:pos:	195219
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[5443613]
:pos:	0
:flags:	02000002
:5:socket:[5443614]
:pos:	0
:flags:	02004002
:6:socket:[5443116]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[5443117]
:pos:	0
:flags:	02004002
:10:socket:[5443189]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[5443616]
:pos:	0
:flags:	02004002
:13:/home/perobinson/.cache/rhythmbox/album-art/store.tdb
:pos:	168
:flags:	02100002
:14:socket:[5443621]
:pos:	0
:flags:	02004002
:15:socket:[5443678]
:pos:	0
:flags:	02004002
:16:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:17:socket:[5444613]
:pos:	0
:flags:	02004002

xsession_errors:
:(rhythmbox:16697): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:16697): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:16697): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:16697): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:6926): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:6926): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:6926): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:6926): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:6926): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:6926): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:6926): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:6926): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:5085): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:5085): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:21652): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:21652): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:7833): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:7833): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:7903): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:7903): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
Comment 1 Peter Robinson 2012-05-29 05:30:28 EDT
Created attachment 587357 [details]
File: backtrace
Comment 2 Peter Robinson 2012-05-29 05:30:31 EDT
Created attachment 587358 [details]
File: maps
Comment 3 Peter Robinson 2012-05-29 05:30:34 EDT
Created attachment 587359 [details]
File: dso_list
Comment 4 Peter Robinson 2012-05-29 05:30:38 EDT
Created attachment 587360 [details]
File: build_ids
Comment 5 Fedora End Of Life 2013-07-03 16:30:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 16:33:58 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.